> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixpanel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Profile Event Activity

> > ❗️stream/query is currently in maintenance mode.

This endpoint returns the activity feed for specified users.

**Note:** The Query API has a rate limit of 60 queries per hour and a maximum of 5 concurrent queries.




## OpenAPI

````yaml openapi/query.openapi.yaml GET /stream/query
openapi: 3.0.3
info:
  title: Query API
  description: query api
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  contact:
    url: https://mixpanel.com/get-support
  version: 1.0.0
servers:
  - url: https://{regionAndDomain}.com/api/query
    description: Mixpanel's calculated data API
    variables:
      regionAndDomain:
        default: mixpanel
        enum:
          - mixpanel
          - eu.mixpanel
          - in.mixpanel
        description: |
          The server location to be used:
            * `mixpanel` - The default (US) servers used for most projects
            * `eu.mixpanel` - EU servers if you are enrolled in EU Data Residency
            * `in.mixpanel` - India servers if you are enrolled in India Data Residency
security:
  - ServiceAccount: []
  - ProjectSecret: []
tags:
  - name: Activity Feed
    description: See a profiles recent events history
  - name: Cohorts
    description: Understand what defines a cohort and how many profiles qualify
  - name: Engage
    description: Query for profile information
  - name: Event Breakdown
    description: Breakdowns on the most common events in your project
  - name: Funnels
    description: Query data shown in your Funnels reports
  - name: Insights
    description: Query data shown in your Insights reports
  - name: JQL
    description: Write a custom query on your data
  - name: Retention
    description: Query data shown in your Retention reports
  - name: Segmentation
    description: Query data shown in your Segmenation reports
paths:
  /stream/query:
    get:
      tags:
        - Activity Feed
      summary: Profile Event Activity
      description: >
        > ❗️stream/query is currently in maintenance mode.


        This endpoint returns the activity feed for specified users.


        **Note:** The Query API has a rate limit of 60 queries per hour and a
        maximum of 5 concurrent queries.
      operationId: activity-stream-query
      parameters:
        - in: query
          name: project_id
          schema:
            type: integer
          description: Required if using service account to authenticate request.
          required: true
        - $ref: '#/components/parameters/workspaceId'
        - in: query
          name: distinct_ids
          schema:
            type: string
          description: >-
            A JSON array as a string representing the `distinct_ids` to return
            activity feeds for. For example:
            `["12a34aa567eb8d-9ab1c26f345b67-89123c45-6aeaa7-89f12af345f678"]`
          required: true
        - in: query
          name: from_date
          schema:
            type: string
          description: >-
            The date in yyyy-mm-dd format to begin querying from. This date is
            inclusive.
          required: true
        - in: query
          name: to_date
          schema:
            type: string
          description: The date in yyyy-mm-dd format to query to. This date is inclusive.
          required: true
      responses:
        '200':
          description: Success.
          content:
            application/json:
              examples:
                example:
                  value:
                    status: ok
                    results:
                      events:
                        - event: Game Played
                          properties:
                            time: 1599589453
                            $distinct_id: >-
                              12a34aa567eb8d-9ab1c26f345b67-89123c45-6aeaa7-89f12af345f678
                            $browser: Chrome
                            $city: Austin
                            $region: Texas
                            report_name: insights
                        - event: Viewed Page
                          properties:
                            time: 1599589470
                            distinct_id: >-
                              12a34aa567eb8d-9ab1c26f345b67-89123c45-6aeaa7-89f12af345f678
                            $browser: Chrome
                            $city: Austin
                            $region: Texas
                            report_name: funnels
              schema:
                type: object
                properties:
                  status:
                    type: string
                  results:
                    type: object
                    properties:
                      events:
                        type: array
                        items:
                          type: object
                          properties:
                            event:
                              type: string
                            properties:
                              type: object
components:
  parameters:
    workspaceId:
      in: query
      name: workspace_id
      schema:
        type: integer
      description: The id of the workspace if applicable.
  securitySchemes:
    ServiceAccount:
      type: http
      scheme: basic
      description: Service Account
    ProjectSecret:
      type: http
      scheme: basic
      description: Project Secret

````